Перейти до вмісту
AstroWay/api v2.95.1 · docs
усі системи в нормі

Elements

GET
/reference/elements
request.sh
curl -X GET https://api.astroway.info/v1/reference/elements \
-H "Content-Type: application/json"

Reference list of fire / earth / air / water with their qualities, signs, planetary affinity, season, body humour, and Jungian function.

Successful calculation

Media type application/json
object
ok
boolean
data
object
items
Array<object>
nullable
object
name
string
nullable
qualities
Array<string>
nullable
signs
Array<string>
nullable
jungianFunction
string
nullable
count
number
nullable
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?